﻿using System;
using System.Globalization;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Tools
{
  /// <summary>
  /// Implements a way to bind a value depending on Debug or Release build.
  /// </summary>
  public class ConditionalConverter : IValueConverter
  {
    public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
      string result = null;
      if (parameter is string)
      {
        var param = ((string)parameter).Split('|');

        // Blend only can create Debug builds. Therefore write
        // #if DEBUG_ to show Release layout even in Blend.
#if DEBUG
        result = param[0];
#else
    if (param.Length >= 2)
      result = param[1];
#endif
      }

      // "x:Null" represents the markup extension "{x:Null}".
      if (result == "x:Null")
        result = null;

      return result;
    }

    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
      // Not intended to be called.
      return null;
    }
  }
}
